> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Non Insurance Payers V 1 Get Multi

GET https://api.taigabilling.com/api/non-insurance-payers/v1

Reference: https://docs.taigabilling.com/api-reference/non-insurance-payers-v-1/non-insurance-payers-v-1-get-multi

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Query parameters

- `name` (string, optional)
- `category` (string, optional) — Fuzzy-match category names of non-insurance payers.
- `categories_exact` (list of string, optional) — Filter by one or more categories by name. When multiple are present, non-insurance payers with any of the specified categories will be matched.
- `clinical_trial_ids` (list of string, optional) — Filter by one or more clinical trials by their `clinical_trial_id`. When multiple are present, non-insurance payers with any of the specified clinical trials will be matched.
- `enabled` (boolean, optional)
- `sort` (enum, optional)
  - Allowed values: `NAME`, `CATEGORY`, `ENABLED`, `UPDATED_AT`
- `sort_direction` (enum, optional)
  - Allowed values: `asc`, `desc`
- `limit` (integer, optional) — Defaults to 100
- `page_token` (string, optional)

## Response

### 200

- `items` (list of non-insurance-payersv1NonInsurancePayer, required)
- `next_page_token` (string, optional, nullable)
- `prev_page_token` (string, optional, nullable)

## Errors

### 403 Forbidden Error

- `NonInsurancePayers_v1_get_multiRequestForbiddenError`
  - NonInsurancePayersV1GetMultiRequestForbiddenError0

### 422 Unprocessable Entity Error

- `NonInsurancePayers_v1_get_multiRequestUnprocessableEntityError`
  - NonInsurancePayersV1GetMultiRequestUnprocessableEntityError0

## Types

### non-insurance-payersv1NonInsurancePayer

- `non_insurance_payer_id` (string, required)
- `name` (string, required)
- `enabled` (boolean, required)
- `clinical_trials` (list of clinical-trialsv1ClinicalTrial, required)
- `description` (string, optional, nullable)
- `category` (string, optional, nullable)
- `payer_id` (string, optional, nullable) — The identifier used to route claims to this payer. Required in order to submit an 837 to this payer. Must be between 2 and 80 characters.
- `address` (StreetAddressShortZip, optional, nullable)

### NonInsurancePayersV1GetMultiRequestForbiddenError0

- `errorName` (enum, optional)
  - Allowed values: `UnprocessableEntityError`
- `content` (UnauthorizedErrorMessage, optional)

### NonInsurancePayersV1GetMultiRequestUnprocessableEntityError0

- `errorName` (enum, optional)
  - Allowed values: `UnprocessableEntityError`
- `content` (UnprocessableEntityErrorMessage, optional)

### clinical-trialsv1ClinicalTrial

- `clinical_trial_id` (string, required)
- `clinical_trial_number` (string, required) — Must be 8 characters long
- `is_active` (boolean, required)
- `name` (string, required)
- `non_insurance_payer_id` (string, required)
- `clinical_trial_phase` (enum, optional, nullable)
  - Allowed values: `Phase 1`, `Phase 2`, `Phase 3`

### StreetAddressShortZip

- `address1` (string, required)
- `city` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `zip_code` (string, required) — 5-digit zip code
- `address2` (string, optional, nullable)
- `zip_plus_four_code` (string, optional, nullable) — 4-digit zip add-on code https://en.wikipedia.org/wiki/ZIP_Code#ZIP+4

### UnauthorizedErrorMessage

- `message` (string, optional, nullable)

### UnprocessableEntityErrorMessage

- `message` (string, optional, nullable)

## Examples

**Response**

```json
{
  "items": [
    {
      "non_insurance_payer_id": "string",
      "name": "Sunrise Foundation",
      "enabled": true,
      "clinical_trials": [
        {
          "clinical_trial_id": "string",
          "clinical_trial_number": "string",
          "is_active": true,
          "name": "string",
          "non_insurance_payer_id": "string",
          "clinical_trial_phase": "Phase 1"
        }
      ],
      "description": "string",
      "category": "string",
      "payer_id": "string",
      "address": {
        "address1": "string",
        "city": "string",
        "state": "AA",
        "zip_code": "string",
        "address2": "string",
        "zip_plus_four_code": "string"
      }
    }
  ],
  "next_page_token": "string",
  "prev_page_token": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/non-insurance-payers/v1"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```